## openambit 0.2+20140602

=== src/libambit/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.5)
project (LIBAMBIT)

# Where to lookup modules
set(CMAKE_MODULE_PATH "${LIBAMBIT_SOURCE_DIR}/cmake")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

# Debug defines
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG_PRINT_ERROR -DDEBUG_PRINT_WARNING")
IF (DEFINED DEBUG_PRINT_INFO)
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG_PRINT_INFO=${DEBUG_PRINT_INFO}")
ENDIF()
IF (DEFINED DEBUG_PRINT_FILE_LINE)
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG_PRINT_FILE_LINE=${DEBUG_PRINT_FILE_LINE}")
ENDIF()

find_package(libusb REQUIRED)
find_package(UDev REQUIRED)
include(GNUInstallDirs)

add_library (
  ambit
  SHARED
  crc16.c
  debug.c
  hid.c
  libambit.c
  personal.c
  pmem20.c
  protocol.c
)

target_link_libraries(
  ambit
  ${UDEV_LIBS}
  ${LIBUSB_LIBRARIES}
  m
)

set_target_properties(ambit PROPERTIES VERSION 0.2.0 SOVERSION 0)

include_directories(
  hidapi
)

install(TARGETS ambit DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES libambit.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== src/openambit/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5)
project (OPENAMBIT)

set (OPENAMBIT_VERSION HEAD)

# Where to lookup modules
set(CMAKE_MODULE_PATH "${OPENAMBIT_SOURCE_DIR}/cmake")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

find_package(Qt4 REQUIRED)
find_package(libambit REQUIRED)
find_package(UDev REQUIRED)
find_package(ZLIB REQUIRED)
find_package(QJSON 0.8.0 REQUIRED)

include(${QT_USE_FILE})
include(GNUInstallDirs)

include_directories (
  ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${LIBAMBIT_INCLUDE_DIR}
)

link_directories(
  ${LIBAMBIT_LIBS_DIR}
)

set ( openambit_HDRS
  logentry.h
)

set ( openambit_SRCS
  main.cpp
  mainwindow.cpp
  devicemanager.cpp
  settingsdialog.cpp
  settings.cpp
  logstore.cpp
  logentry.cpp
  udevlistener.cpp
  confirmbetadialog.cpp
  single_application.cpp
)

set ( openambit_UIS
  mainwindow.ui
  settingsdialog.ui
  confirmbetadialog.ui
)

set ( openambit_RSCS
  resources.qrc
)

set ( openambit_MOCS
  mainwindow.h
  devicemanager.h
  settingsdialog.h
  settings.h
  logstore.h
  udevlistener.h
  confirmbetadialog.h
  single_application.h
)

set ( APP_ICON ${PROJECT_SOURCE_DIR}/icons/icon_disconnected.png )

set ( CMAKE_INSTALL_UDEVRULESDIR /lib/udev/rules.d
      CACHE PATH "Where to install udev rules"
)
mark_as_advanced ( CMAKE_INSTALL_UDEVRULESDIR )

add_subdirectory("${PROJECT_SOURCE_DIR}/movescount")

QT4_WRAP_UI(UIS ${openambit_UIS})
QT4_ADD_RESOURCES(RSCS ${openambit_RSCS})
QT4_WRAP_CPP(MOCS ${openambit_MOCS})

add_definitions( -DAPP_VERSION="${OPENAMBIT_VERSION}" )

add_executable ( openambit ${openambit_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )

target_link_libraries ( openambit  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${LIBAMBIT_LIBS} ${UDEV_LIBS} ${ZLIB_LIBRARY} ${QJSON_LIBRARIES} )

install ( TARGETS openambit DESTINATION ${CMAKE_INSTALL_BINDIR} )
install ( FILES ${OPENAMBIT_SOURCE_DIR}/deployment/99-suunto-ambit.rules
          DESTINATION ${CMAKE_INSTALL_UDEVRULESDIR}
          COMPONENT system
)
install ( FILES ${OPENAMBIT_SOURCE_DIR}/deployment/openambit.desktop
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications )
install ( FILES ${APP_ICON}
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
          RENAME openambit.png )

=== src/openambit/movescount/CMakeLists.txt ===
set ( openambit_SRCS
  ${openambit_SRCS}
  ${CMAKE_CURRENT_SOURCE_DIR}/movescount.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/movescountjson.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/movescountlogdirentry.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/movescountxml.cpp
  PARENT_SCOPE
)

set ( openambit_MOCS
  ${openambit_MOCS}
  ${CMAKE_CURRENT_SOURCE_DIR}/movescount.h
  ${CMAKE_CURRENT_SOURCE_DIR}/movescountjson.h
  ${CMAKE_CURRENT_SOURCE_DIR}/movescountlogdirentry.h
  ${CMAKE_CURRENT_SOURCE_DIR}/movescountxml.h
  PARENT_SCOPE
)

=== debian/changelog ===
openambit (0.2+20140602-1) unstable; urgency=low

  * Upstream git snapshot (OpenAmbit should work with latest firmware
    updates by Suunto)
  * Remove no longer needed 01_FixDesktopCategory patch

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Jul 2014 07:18:32 +0200

openambit (0.2-2) unstable; urgency=low

  * Properly specify BSD-3-clause license for
    openambit-0.2/wireshark_dissector/*
  * Properly specidy alternative BSD-3-clause or HIDAPI licenses
    for openambit-0.2/src/libambit/hid*

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Jul 2014 07:58:19 +0200

openambit (0.2-1) unstable; urgency=low

  * Initial release . Closes: #746652
  * Fix category used by upstream in the desktop file because it is not
    one registered at http://standards.freedesktop.org/menu-spec/1.0/apa.html.
    Use: Education;Sports

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 May 2014 11:53:02 +0200

## openambit 0.3

=== wireshark_dissector/CMakeLists.txt ===
# CMakeLists.txt
#
# $Id: CMakeLists.txt 31995 2010-02-24 22:32:10Z jmayer $
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

project(ambit-wireshark-plugin C)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_BACKWARDS_COMPATIBILITY 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set(CMAKE_INSTALL_LIBDIR ~/.wireshark)

INCLUDE(UseMakeDissectorReg)
  
set(GLIB2_MIN_VERSION 2.4.0)

find_package(GLIB2)
include_directories (${GLIB2_INCLUDE_DIRS})

find_package(Wireshark)
include_directories (${WIRESHARK_INCLUDE_DIRS})

set(LINK_MODE_LIB SHARED)
set(LINK_MODE_MODULE MODULE)


set(DISSECTOR_SRC
	ambit-dissector.c
)

set(PLUGIN_FILES
	plugin.c
	${DISSECTOR_SRC}
)

set(CLEAN_FILES
	${PLUGIN_FILES}
)

if (WERROR)
	set_source_files_properties(
		${CLEAN_FILES}
		PROPERTIES
		COMPILE_FLAGS -Werror
	)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

register_dissector_files(plugin.c
	plugin
	${DISSECTOR_SRC}
)

add_library(ambit ${LINK_MODE_MODULE}
	${PLUGIN_FILES}
)
set_target_properties(ambit PROPERTIES PREFIX "")
set_target_properties(ambit PROPERTIES LINK_FLAGS "${WS_LINK_FLAGS}")

target_link_libraries(ambit ${WIRESHARK_LIBRARIES})

install(TARGETS ambit
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/plugins NAMELINK_SKIP
)

=== src/example/CMakeLists.txt ===
include_directories(
  ${OPENAMBIT_SOURCE_DIR}/libambit
)

link_directories(
  ${OPENAMBIT_BINARY_DIR}/libambit
)

add_executable(
  ambitconsole ambitconsole.c
)

target_link_libraries(
  ambitconsole ambit
)

=== src/libambit/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
   m
 )
 
-set_target_properties(ambit PROPERTIES VERSION 0.2.0 SOVERSION 0)
+set_target_properties(ambit PROPERTIES VERSION 0.3.0 SOVERSION 0)
 
 include_directories(
   hidapi

=== src/openambit/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8.5)
 project (OPENAMBIT)
 
-set (OPENAMBIT_VERSION HEAD)
+set (OPENAMBIT_VERSION 0.3)
 
 # Where to lookup modules
 set(CMAKE_MODULE_PATH "${OPENAMBIT_SOURCE_DIR}/cmake")
@@ -19,8 +19,6 @@
 
 include_directories (
   ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
-  ${QT_QTCORE_INCLUDE_DIR}
-  ${QT_QTGUI_INCLUDE_DIR}
   ${QT_QTCORE_INCLUDE_DIR}
   ${QT_QTGUI_INCLUDE_DIR}
   ${QT_QTNETWORK_INCLUDE_DIR}
@@ -86,7 +84,7 @@
 
 add_executable ( openambit ${openambit_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
 
-target_link_libraries ( openambit  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${LIBAMBIT_LIBS} ${UDEV_LIBS} ${ZLIB_LIBRARY} ${QJSON_LIBRARIES} )
+target_link_libraries ( openambit  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${LIBAMBIT_LIBS} ${UDEV_LIBS} ${ZLIB_LIBRARY} ${QJSON_LIBRARIES} )
 
 install ( TARGETS openambit DESTINATION ${CMAKE_INSTALL_BINDIR} )
 install ( FILES ${OPENAMBIT_SOURCE_DIR}/deployment/99-suunto-ambit.rules

=== src/openambit/movescount/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/movescountjson.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/movescountlogdirentry.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/movescountxml.cpp
+  ${CMAKE_CURRENT_SOURCE_DIR}/movescountlogchecker.cpp
   PARENT_SCOPE
 )
 
@@ -13,5 +14,6 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/movescountjson.h
   ${CMAKE_CURRENT_SOURCE_DIR}/movescountlogdirentry.h
   ${CMAKE_CURRENT_SOURCE_DIR}/movescountxml.h
+  ${CMAKE_CURRENT_SOURCE_DIR}/movescountlogchecker.h
   PARENT_SCOPE
 )

=== debian/changelog ===
openambit (0.3-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Sep 2014 22:27:30 +0200

=== debian/control ===
Source: openambit
Section: utils
Priority: optional
Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9~), cmake, libusb-1.0-0-dev, libudev-dev, libqjson-dev, libqt4-dev, zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://openambit.org/
Vcs-Git: git://git.debian.org/pkg-running/openambit.git
Vcs-Browser: http://git.debian.org/?p=pkg-running/openambit.git;a=summary

Package: openambit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for Suunto Ambit sport watches
 This package provides software that helps communicating with Suunto Ambit
 outdoor watches.
 .
 OpenAmbit offers the following features:
  - Read logs from device and save them in XML files;
  - Upload logs to movescount.com;
  - Update orbital data (for faster GPS sync) to the device.
 .
 It doesn't have the following features (but may include them in future
 releases):
  - Sync user settings from movescount to device;
  - Sync apps, routes etc from movescount to device.
 .
 The application is divided in 2 parts, libambit which is a basic
 C-library that does the device-communication, and the openambit GUI
 application that writes the logs to XML files and synchronize with
 movescount. The movescount parts is completely optional, and needs
 to be manually enabled in the UI.
 .
 This package provides the GUI interface.

Package: libambit0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for Suunto Ambit sport watches
 This package provides software that helps communicating with Suunto Ambit
 outdoor watches.
 .
 OpenAmbit offers the following features:
  - Read logs from device and save them in XML files;
  - Upload logs to movescount.com;
  - Update orbital data (for faster GPS sync) to the device.
 .
 It doesn't have the following features (but may include them in future
 releases):
  - Sync user settings from movescount to device;
  - Sync apps, routes etc from movescount to device.
 .
 The application is divided in 2 parts, libambit which is a basic
 C-library that does the device-communication, and the openambit GUI
 application that writes the logs to XML files and synchronize with
 movescount. The movescount parts is completely optional, and needs
 to be manually enabled in the UI.
 .
 This package provides the shared library.

Package: libambit0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for Suunto Ambit sport watches
 This package provides software that helps communicating with Suunto Ambit
 outdoor watches.
 .
 OpenAmbit offers the following features:
  - Read logs from device and save them in XML files;
  - Upload logs to movescount.com;
  - Update orbital data (for faster GPS sync) to the device.
 .
 It doesn't have the following features (but may include them in future
 releases):
  - Sync user settings from movescount to device;
  - Sync apps, routes etc from movescount to device.
 .
 The application is divided in 2 parts, libambit which is a basic
 C-library that does the device-communication, and the openambit GUI
 application that writes the logs to XML files and synchronize with
 movescount. The movescount parts is completely optional, and needs
 to be manually enabled in the UI.
 .
 This package provides the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ 

override_dh_auto_build:
	mkdir libambit-build
	cd libambit-build && cmake ../src/libambit -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
	cd libambit-build && $(MAKE) -j$(NUMCPUS)
	mkdir openambit-build
	cd openambit-build && cmake ../src/openambit -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
	cd openambit-build && $(MAKE) -j$(NUMCPUS)

INSTDIR=../debian/tmp/
override_dh_install:
	cd libambit-build && $(MAKE) install DESTDIR=$(INSTDIR)
	cd openambit-build && $(MAKE) install DESTDIR=$(INSTDIR)
	pwd
	ls -lR
	dh_install

## openambit 0.4

=== debian/changelog ===
openambit (0.4-1) experimental; urgency=low

  * New upstream release
  * Now build against QT5
  * Build movescount library

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 May 2017 19:10:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	mkdir libambit-build
 	cd libambit-build && cmake ../src/libambit -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
 	cd libambit-build && $(MAKE) -j$(NUMCPUS)
+	mkdir movescount-build
+	cd movescount-build && cmake ../src/movescount -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
+	cd movescount-build && $(MAKE) -j$(NUMCPUS)
 	mkdir openambit-build
 	cd openambit-build && cmake ../src/openambit -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="${CMAKE_C_FLAGS} $(CFLAGS)" -DCMAKE_CXX_FLAGS="${CMAKE_CXX_FLAGS} $(CXXFLAGS)"
 	cd openambit-build && $(MAKE) -j$(NUMCPUS)
@@ -23,6 +26,7 @@
 INSTDIR=../debian/tmp/
 override_dh_install:
 	cd libambit-build && $(MAKE) install DESTDIR=$(INSTDIR)
+	cd movescount-build && $(MAKE) install DESTDIR=$(INSTDIR)
 	cd openambit-build && $(MAKE) install DESTDIR=$(INSTDIR)
 	pwd
 	ls -lR
